package com.idiot.operationbackend.support;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @author wang xiao
 * @date Created in 18:59 2020/9/18
 */
public enum MediaType {

    /**
     * 图
     */
    IMAGE(0,"image"),
    /**
     * 音
     */
    VOICE(1,"voice"),
    /**
     * 视频
     */
    VIDEO(1,"video"),
    /**
     * 缩略图
     */
    THUMB(1,"thumb");


    @EnumValue
    private int value;

    @JsonValue
    private String label;

    MediaType(int value, String label) {
        this.value = value;
        this.label = label;
    }
}

